#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  if [ ! -r $OLD ]; then
  # keine alte Datei vhd, neue ueberkopieren
    mv $NEW $OLD
    echo "installiert / installado / installed: " $OLD
  else
   # alte Datei vhd aber gleich neuer, neue irrelevant und loeschen
    if [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
      rm $NEW
    else
  # alte und neue Datei lassen, Admin darauf hinweisen Konfigurierung zu machen
      echo "bitte ueberpruefen / favor verificar / pls verify: " $OLD " / ~.new"
    fi 
  fi
}
config etc/X11/xserver/SecurityPolicy.new

( cd usr/lib ; rm -rf xserver )
( cd usr/lib ; ln -sf ../../etc/X11/xserver xserver )
( cd usr/lib ; rm -rf modules )
( cd usr/lib ; ln -sf xorg/modules modules )
